
srcdir = .
top_builddir =  ..
abs_top_builddir = /home/jacob/Job/Prace/kernel_D_soft/kernel_D_update2
top_srcdir = ..
abs_top_srcdir = /home/jacob/Job/Prace/kernel_D_soft/kernel_D_update2
subdir = meas
builddir = .

CFLAGS = -std=c99 -fopenmp  -pedantic -Wall 
DEPFLAGS = -MM
LDFLAGS =  -L${HOME}/lib -L${top_builddir}/lib 
DEFS = -DHAVE_CONFIG_H
OPTARGS = -O

AR = ar
RANLIB = ranlib
CC = mpicc
CCDEP = gcc
CCLD = $(CC)
LINK = $(CCLD) $(CFLAGS) $(LDFLAGS) ${OPTARGS} -o $@
LEX = flex
AUTOCONF = autoconf
DEFS = -DHAVE_CONFIG_H

LEMON_AVAILABLE = 0

INCLUDES =  -I$(HOME)/include/ -I. -I${abs_top_builddir}/  -I${abs_top_srcdir}/ -I/include/ -I/include/
LDADD =
COMPILE = ${CC} ${DEFS} ${INCLUDES} ${CFLAGS} ${OPTARGS}

LIBRARIES = libmeas

libmeas_TARGETS = measurements \
	oriented_plaquettes \
	correlators \
	pion_norm \
	polyakov_loop \
	energy_density gradient_flow

libmeas_OBJECTS = $(addsuffix .o, ${libmeas_TARGETS})

# default rule

all: Makefile dep libmeas.a

# rules for debugging
debug all-debug: CFLAGS := $(CFLAGS) -g
debug all-debug: all

# rules for profiling information
profile all-profile: CFLAGS := $(filter-out -fomit-frame-pointer,${CFLAGS}) 
profile all-profile: all


#include dep rules
-include $(addsuffix .d,${libmeas_TARGETS})

include ${top_srcdir}/Makefile.global

# rule to compile objects

%.o: ${srcdir}/%.c %.d Makefile ${abs_top_builddir}/config.h
	$(COMPILE) -c $<

libmeas.a: ${libmeas_OBJECTS} Makefile
	@rm -f libmeas.a
	@${AR} cru libmeas.a $(libmeas_OBJECTS)
	@$(RANLIB) libmeas.a
	@cp libmeas.a ${top_builddir}/lib/libmeas.a

# rule to generate .d files

$(addsuffix .d,$(libmeas_TARGETS)): %.d: ${srcdir}/%.c Makefile
	@$(CCDEP) ${DEFS} ${DEPFLAGS} ${INCLUDES} $< > $@

# rule to make dependencies

dep: ${addsuffix .d, ${libmeas_TARGETS}}

# rules to clean

compile-clean: Makefile
	rm -f ${$(addsuffix _OBJECTS, ${LIBRARIES})} *.d

clean: compile-clean
	rm -f $(addsuffix .a, ${LIBRARIES})
	rm -f ../lib/libmeas.a

distclean: clean
	rm -f Makefile


.PHONY: all dep clean compile-clean distclean debug all-debug profile all-profile
